<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Contenu extends Model
{
    /**
     * The attribute of database connection bound to the model.
     *
     * @var array
     */
    protected $connection = 'mysql';

    /**
     * Function to link database connection to constructor of model
     * Avec cette fonctionn, on instancie un objet dans une base de donnée qu'on peut utiliser
     *
     * @var array
     */
    public function __construct($connection = 'mysql')
    {
        $this->connection = $connection;
    }

    public function page()
    {
        return $this->belongsTo(Page::class);
    }

    public function contenant()
    {
        return $this->belongsTo(Contenant::class);
    }

    public function contenttextes()
    {
        return $this->hasMany(Contenttexte::class);
    }

    public function contentimages()
    {
        return $this->hasMany(Contentimage::class);
    }

    public function contentvideos()
    {
        return $this->hasMany(Contentvideo::class);
    }
}
